[[Property:title|Reference for `eif_type_by_name']]
[[Property:link_title|eif_type_by_name]]
[[Property:weight|7]]
[[Property:uuid|51549b56-757c-f91f-6d27-5784a12181ac]]
==SYNOPSYS==
<code>
'''#include "eif_gen_conf.h"

EIF_TYPE_ID eif_type_by_name (char *''' ''type''''');'''</code>

==DESCRIPTION==
The '''eif_type_by_name()''' function returns the type identifier corresponding to ''type'', which is the name of the type. 
==RETURN VALUE==
The '''eif_type_by_name()''' function returns the type 
==NOTES==
An error cannot be caught by a visible exception. <br/>
The type is not necessary visible. 
==CONFORMANCE==
ISE Eiffel 4.3 and later. 
==COMPATIBILITY==
'''eif_type_by_name()''' is equivalent to '''eif_type_id()'''. 
==SEE ALSO==
'''eif_reference_function'''(1) , '''eif_procedure'''(1) , '''eif_type'''(1), '''eif_name'''(1). 



